%define	name	tkxinput
%define	version	1.0
%define	release	6mdk

Summary:	A Tk extension to handle additional input devices in X11
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		tkxinput-1.0.tk8.3.patch.bz2
Patch1:		tkxinput-1.0.wacom.patch.bz2
License:	GPL
Group:		System/XFree86
Url:		http://freshmeat.net/redir/tkxinput/22191/url_homepage/tkxinput/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel gcc tk tcl

%description
The package provides an extension to Tk that add input device
management capabilities. It is possible to bind extended input
events to tcl scripts, to get information about the devices, to
change devices parameters and to change the default pointer and
keyborad devices. It is also possible to send input events from
one application to an other one.

%prep
%setup -q
%patch0 -p1 -b .tk8
%patch1 -p1 -b .wacom

%build
%make CFLAGS="$RPM_OPT_FLAGS" TCL_LIB=tcl8.4 TK_LIB=tk8.4

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/TkXInput $RPM_BUILD_ROOT%{_bindir}
make install prefix=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%{_prefix}/lib/TkXInput
%{_bindir}/*

%changelog
* Fri May 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0-6mdk
- fix buildrequires
- added url
- cleanups

* Fri May  2 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0-5mdk
- rebuilt for new rpm

* Sat Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0-4mdk
- BuildRequires
- Copyright --> License

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0-3mdk
- BuildRequires: XFree86-devel

* Fri Apr 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0-2mdk
- activated wacom support

* Tue Mar  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0-1mdk
- first version

# tkxinput.spec ends here
